Name:           enlightenment
Version:        0.17.4
Release:        1%{?dist}
License:        BSD
Summary:        The window manager
Url:            http://enlightenment.org
Source:         http://download.enlightenment.org/releases/%{name}-%{version}.tar.bz2
Requires:       %{name}-data

BuildRequires:  alsa-lib-devel
BuildRequires:  dbus-devel 
BuildRequires:  desktop-file-utils
BuildRequires:  e_dbus-devel 
BuildRequires:  ecore-devel 
BuildRequires:  edje-devel
BuildRequires:  eet-devel 
BuildRequires:  eeze-devel 
BuildRequires:  efreet-devel
BuildRequires:  eio-devel 
BuildRequires:  embryo 
BuildRequires:  evas-devel
BuildRequires:  libXext-devel 
BuildRequires:  libeina-devel 
BuildRequires:  pam-devel
BuildRequires:  pkgconfig(freetype2) 
BuildRequires:  xcb-util-keysyms-devel

%description
Enlightenment window manager is a lean, fast, modular and very extensible window 
manager for X11 and Linux. It is classed as a "desktop shell" providing the 
things you need to operate your desktop (or laptop), but is not a whole '
application suite. This covered launching applications, managing their windows 
and doing other system tasks like suspending, reboots, managing files etc. 

%package data
Summary:        Enlightenment data files
Requires:       %{name} = %{version}
BuildArch:      noarch

%description data
Contains data files for Enlightenment

%package devel
Summary:        Enlightenment headers, documentation and test programs
Requires:       %{name} = %{version}

%description devel
Headers,  test programs and documentation for enlightenment

%prep
%setup -q

%build
%configure --disable-static --disable-rpath
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -name '*.la' -delete

%find_lang %{name}
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop

%files -f %{name}.lang
%doc AUTHORS COPYING README NEWS
%{_libdir}/enlightenment
%config(noreplace) %{_sysconfdir}/enlightenment
%dir %{_sysconfdir}/xdg/menus
%config %{_sysconfdir}/xdg/menus/enlightenment.menu
%{_bindir}/enlightenment*

%files data
%{_datadir}/xsessions/enlightenment.desktop
%{_datadir}/enlightenment
%{_datadir}/applications/*.desktop


%files devel
%{_libdir}/pkgconfig/*.pc
%{_includedir}/enlightenment

%changelog
* Tue Sep 24  2013 Dan Mashal <dan.mashal@fedoraproject.org> 0.17.4-1
- Update to 0.17.4
- Clean up spec file
- Update license from MIT to BSD

* Wed Jan 02 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 0.17.0-1
- initial spec
